Skip to content
API reference

Shortlist

Properties shortlisted for a lead.

GET/shortlist

List shortlist

Needs the permission leads:read.

ParameterInTypeNotes
leadId requiredquerystring (uuid)
curl -X GET https://crm.anibrosdesign.com/api/v1/shortlist \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 429

POST/shortlist

Create a shortlist

Needs the permission leads:update.

Body fieldTypeNotes
leadId requiredstring (uuid)
propertyId requiredstring (uuid)
sourceone of manual, matching, viewing, offerdefault "manual"
matchScoreinteger or null
notestring or null
curl -X POST https://crm.anibrosdesign.com/api/v1/shortlist \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"leadId":"01a15d23-0000-7000-8000-000000000000","propertyId":"01a15d23-0000-7000-8000-000000000000","source":"manual"}'

Responses: 201 400 401 402 403 429

PATCH/shortlist/{id}

Change a shortlist

Needs the permission leads:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
Body fieldTypeNotes
statusone of shortlisted, interested, rejected
notestring or null
curl -X PATCH https://crm.anibrosdesign.com/api/v1/shortlist/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"status":"shortlisted","note":"text"}'

Responses: 200 400 401 402 403 404 412 429

DELETE/shortlist/{id}

Delete a shortlist

Needs the permission leads:update.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X DELETE https://crm.anibrosdesign.com/api/v1/shortlist/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 204 400 401 402 403 404 429

Something missing or unclear? Tell us.

Chat on WhatsApp